Bug 224183 - www/wt: fails to build with boost 1.66
Summary: www/wt: fails to build with boost 1.66
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch
Depends on: 226160
Blocks: 223922
  Show dependency treegraph
 
Reported: 2017-12-08 15:58 UTC by Jan Beich
Modified: 2019-08-13 19:48 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (info)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-08 15:58:03 UTC
As part of exp-run in bug 223922 this port was found to break on Boost update. If the issue won't disappear on its own by Boost release I plan to mark the port as BROKEN. Can you check with upstream maintainer or help with a fix?

$ fetch -qo- 'https://reviews.freebsd.org/D13279?download=true' | patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/www/wt
[...]
/wrkdirs/usr/ports/www/wt/work/wt-3.3.7/src/Wt/Http/Client.C:608:16: error: use of class template 'boost::asio::strand' requires template arguments
  boost::asio::strand strand_;
               ^
/usr/local/include/boost/asio/strand.hpp:29:7: note: template is declared here
class strand
      ^
/wrkdirs/usr/ports/www/wt/work/wt-3.3.7/src/Wt/Http/Client.C:125:5: error: no matching member function for call to 'shared_from_this'
                                shared_from_this(),
                                ^~~~~~~~~~~~~~~~
[...]
In file included from /wrkdirs/usr/ports/www/wt/work/wt-3.3.7/src/Wt/Http/Client.C:8:
In file included from /usr/local/include/boost/asio.hpp:24:
In file included from /usr/local/include/boost/asio/basic_deadline_timer.hpp:28:
In file included from /usr/local/include/boost/asio/time_traits.hpp:23:
In file included from /usr/local/include/boost/date_time/posix_time/posix_time_types.hpp:10:
In file included from /usr/local/include/boost/date_time/time_clock.hpp:17:
In file included from /usr/local/include/boost/shared_ptr.hpp:17:
/usr/local/include/boost/smart_ptr/shared_ptr.hpp:698:35: error: comparison of distinct pointer types ('Wt::Http::Client::TcpImpl *' and 'element_type *' (aka 'Wt::Http::Client::Impl *'))
        BOOST_ASSERT( p == 0 || p != px ); // catch self-reset errors
                                ~ ^  ~~
/usr/local/include/boost/assert.hpp:60:36: note: expanded from macro 'BOOST_ASSERT'
# define BOOST_ASSERT(expr) assert(expr)
                                   ^~~~
/usr/include/assert.h:54:21: note: expanded from macro 'assert'
#define assert(e)       ((e) ? (void)0 : __assert(__func__, __FILE__, \
                          ^
/wrkdirs/usr/ports/www/wt/work/wt-3.3.7/src/Wt/Http/Client.C:886:11: note: in instantiation of function template specialization 'boost::shared_ptr<Wt::Http::Client::Impl>::reset<Wt::Http::Client::TcpImpl>' requested here
    impl_.reset(new TcpImpl(*ioService, server, sessionId));
          ^

http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/wt-3.3.7_5.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/wt-3.3.7_5.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/wt-3.3.7_5.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/wt-3.3.7_5.log
Comment 1 Mohammad S. Babaei 2017-12-08 16:19:48 UTC
Well, the maintainer won't support 3.3.7 anymore since the latest release in 3.x branch is 3.3.9 which was released around two weeks ago. Earlier, I made a patch to upgrade to 3.3.8 and it never hit the ports due to a bug in Poudriere builds (issue #222920). I'll try to make a new patch for 3.3.9 and see if it resolves the issue with Poudriere and submit it here. I guess if it won't work then I have to patch it myself.

When will boost-1.66.0 hit the ports?
Comment 2 Mohammad S. Babaei 2017-12-08 16:24:04 UTC
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224183
Comment 3 Mohammad S. Babaei 2017-12-08 16:24:54 UTC
Sorry, ignore the last link. I pasted the wrong one.

Here is the link https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222920
Comment 4 Jan Beich freebsd_committer 2017-12-08 16:51:21 UTC
(In reply to Mohammad S. Babaei from comment #1)
> When will boost-1.66.0 hit the ports?

Once Boost 1.66 is released[1] another exp-run maybe required. After that it'd depend on how much bustage remains and whether I have time to reduce it before 2018Q1 branches. So, probably at the start of January.

[1] See calendar - http://www.boost.org/development/index.html
Comment 5 Mohammad S. Babaei 2017-12-08 17:16:52 UTC
OK, thanks for the info. I'll try to fix it and report back in time.
Comment 6 Yuri Victorovich freebsd_committer 2018-03-10 21:18:40 UTC
It appears that the upcoming versions wt-3.3.9 and wt-4.0.2 are free of this boost failure.
Comment 7 Jan Beich freebsd_committer 2018-07-17 09:17:31 UTC
portmgr@ set EXPIRATION_DATE in ports r474787. It's unlikely to result in removal due to pending update.
Comment 8 Yuri Victorovich freebsd_committer 2018-07-17 09:34:56 UTC
Yes, thanks, I will commit it soon.
Comment 9 Rene Ladan freebsd_committer 2019-08-13 19:48:27 UTC
Superseded by 226160 and inactivity.